; This is an example file which simply shows the file structure of a
; SuperNova File.  It displays "SuperNova 97!" using the new ROM_CALL
; D_STR_HL, waits for a key press and returns to SuperNova.  Hopefully this
; will give you an idea of how to construct files for SuperNova.

#include "TI-85.H"              ; Add this if you're using TASM (Table
                                ; Assembler)
.org 0                          ; Add this or jumps and calls won't work
.db "Example File",0            ; Z-Terminated Menu Description
.db 0                           ; Number of Libraries Used
start:
        ROM_CALL(CLEARLCD)
        ld de,(PROGRAM_ADDR)
        ld hl,SuperNova         
        add hl,de
        ROM_CALL(D_STR_HL)      ; Displays "SuperNova 97!"

wait:
        CALL GET_KEY            
        cp 0
        ret nz                  ; Exit when a key is pressed
        jr wait

SuperNova:
        .db "    SuperNova 97!",0

.end                             ; End of Program
